# Ogre::InstancedGeometry::QueuedSubMesh Struct Reference

Structure recording a queued submesh for the build. More...

`#include <OgreInstancedGeometry.h>`

Inheritance diagram for Ogre::InstancedGeometry::QueuedSubMesh:
[legend]

List of all members.

## Public Member Functions

void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Public Attributes

SubMesh * | submesh
SubMeshLodGeometryLinkList * | geometryLodList
| Link to LOD list of geometry, potentially optimised.
String | materialName
Vector3 | position
Quaternion | orientation
Vector3 | scale
AxisAlignedBox | worldBounds
| Pre-transformed world AABB.
unsigned int | ID

## Detailed Description

Structure recording a queued submesh for the build.

Definition at line 142 of file OgreInstancedGeometry.h.

## Member Function Documentation

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

SubMeshLodGeometryLinkList* Ogre::InstancedGeometry::QueuedSubMesh::geometryLodList

Link to LOD list of geometry, potentially optimised.

Definition at line 146 of file OgreInstancedGeometry.h.

unsigned int Ogre::InstancedGeometry::QueuedSubMesh::ID

Definition at line 153 of file OgreInstancedGeometry.h.

String Ogre::InstancedGeometry::QueuedSubMesh::materialName

Definition at line 147 of file OgreInstancedGeometry.h.

Quaternion Ogre::InstancedGeometry::QueuedSubMesh::orientation

Definition at line 149 of file OgreInstancedGeometry.h.

Vector3 Ogre::InstancedGeometry::QueuedSubMesh::position

Definition at line 148 of file OgreInstancedGeometry.h.

Vector3 Ogre::InstancedGeometry::QueuedSubMesh::scale

Definition at line 150 of file OgreInstancedGeometry.h.

SubMesh* Ogre::InstancedGeometry::QueuedSubMesh::submesh

Definition at line 144 of file OgreInstancedGeometry.h.

AxisAlignedBox Ogre::InstancedGeometry::QueuedSubMesh::worldBounds

Pre-transformed world AABB.

Definition at line 152 of file OgreInstancedGeometry.h.

The documentation for this struct was generated from the following file:

- OgreInstancedGeometry.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:12